
%define name    keytouch
%define version 2.4.1
%define release %mkrel 1
%define summary Configure extra keyboard keys
%define section System/Configuration/Hardware

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
URL:		http://keytouch.sourceforge.net
License:        GPL
Group:          %{section}
Source0:	%{name}-%{version}.tar.gz
Source1:	keytouch-extra-keyboards.tar.bz2
Source2:	keytouchd.xinitd
Patch1:		keytouch-makefile.fix.patch
Patch2:      	keytouch-keytouchd-makefile.fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildRequires:  libgnome-menu2-devel
BuildRequires:  gtk+2-devel gtkdialogs libx11-devel
Requires:	gtk+2 gtkdialogs libx11

%description
KeyTouch is a program which allows you to easily configure the extra function
keys of your keyboard. This means that you can define, for every individual 
function key, what to do if it is pressed.
When you buy a new keyboard a CD-ROM will probably included. This CD-ROM 
contains software to configure the extra function keys (the image above shows 
an example of extra functionkeys) of your keyboard with. The problem however 
is that most of the times the software is not available for Linux.
KeyTouch is the solution to this problem. It allows you to easily configure 
the extra function keys of your keyboard.


%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version} -a 1
%patch1 -p1 -b .makefilefix
%patch2 -p1

%build


mkdir -p %{buildroot}/etc/init.d/
mkdir -p %{buildroot}/etc/X11/init.d/
mkdir -p %{buildroot}/etc/rc.d/
mkdir -p %{buildroot}/%{_datadir}/%{name}
 
%configure
%make
make install DESTDIR=$RPM_BUILD_ROOT
cd keytouch-config
%configure
%make
make install DESTDIR=$RPM_BUILD_ROOT

cd ../keytouch-keyboard
%configure
%make
make install DESTDIR=$RPM_BUILD_ROOT

%install

mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Keytouch
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;GNOME;X-MandrivaLinux-System-Configuration-Hardware
EOF


#icons
mkdir -p %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{buildroot}/%{_datadir}/keytouch-keyboard/pixmaps/icon.png %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{buildroot}/%{_datadir}/keytouch-keyboard/pixmaps/icon.png %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{buildroot}/%{_datadir}/keytouch-keyboard/pixmaps/icon.png %{buildroot}/%{_miconsdir}/%{name}.png

#install our keytouchd startup script
install -m755 %SOURCE2 -D %{buildroot}%{_sysconfdir}/X11/xinit.d/92%{name}d_launch

%post
%update_desktop_database
chkconfig --add keytouch-init.sh

%preun
chkconfig --del keytouch-init.sh

%postun
%clean_desktop_database

%clean 
rm -rf $RPM_BUILD_ROOT 


%files 
%defattr(-,root,root,0755) 
%doc COPYING
%attr(0755, root, root) %{_sysconfdir}/init.d/keytouch-init.sh
%attr(0755, root, root) %{_sysconfdir}/X11/xinit.d/92%{name}d_launch
%attr(0755, root, root) %{_sysconfdir}/%name
%_iconsdir/*
%{_bindir}/%{name}*
%{_libdir}/%{name}/plugins
%{_datadir}/%{name}/pixmaps
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}*
%attr(0755, root, root) %{_datadir}/%{name}/keyboards
%attr(0644, root, root) %{_datadir}/%{name}/keyboards/*
%{_datadir}/%{name}/doc
%{_datadir}/%{name}-keyboard
%{_datadir}/%{name}/applications.menu
%{_sysconfdir}/X11/xinit.d/92%{name}d_launch


%changelog
* Mon Mar 23 2009 Texstar <texstar@gmail.com> 2.4.1-1pclos2007
- 2.4.1

* Sat Jan 19 2008 Sam Exner <samexner@gmailcom> 2.3.2-1pclos2007
- Updated to version 2.3.2-1

* Mon Aug 06 2007 Bart the Build Bot <bartbot@pclinuxos.com> 2.3.1-5pclos2007
- Remove all the hacky hacks used to start keytouch
- Add our own xinit.d start script (SOURCE2)

* Mon Aug 06 2007 Bart the Build Bot <bartbot@pclinuxos.com> 2.3.1-4pclos2007
- Add 'Aspire 1690.Acer' and 'Linux Alternate USB.Cherry' keyboard files (davecs)

* Fri Aug 03 2007 Bart the Build Bot <bartbot@pclinuxos.com> 2.3.1-3pclos2007
- Fix starting of keytouchd

* Tue Jul 31 2007 Bart the Build Bot <bartbot@pclinuxos.com> 2.3.1-2pclos2007
- Import into PCLinuxOS
- Remove old menu code
- Use %%clean_desktop_database and %%update_desktop_database

* Sat Jul 07 2007 Gettinther <gettinther@gmail.com> 2.3.1-1pclos_tinyme2007
- First build for pclos_tinyme2007
